Subject: bug#44069: BUg building from the emacs repo on https://savannah.gnu.org/git/?group=emacs

From: George R Goffe <[email-masked]>
Date: Mon, 19 Oct 2020 19:50:34 +0000 (UTC)

Stefan,

Thanks for responding.

Here's the URL where I got the "git clone" command from:

https://savannah.gnu.org/git/?group=emacs

1) git clone...
2) cd emacs
3) ./autogen.sh
4) ./configure

Do you want all the options I specified?

On Sunday, October 18, 2020, 4:14:00 PM PDT, Stefan Kangas <[email-masked]> wrote: 

George R Goffe via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> I just downloaded the source for emacs from the above site and
> received this error message from gcc.
>
> Am I doing something wrong or is this a bug?

How did you download and try to build Emacs?  Please include the exact
commands you used.

> make[1]: Entering directory '/export/home/tools/emacs/obj-x86_64-pc-linux-gnu/src'
>   CC       fns.o
> fns.c: In function ‘merge_vectors’:
> fns.c:2009:1: error: wrong number of arguments specified for ‘access’ attribute
>  2009 | {
>       | ^
> fns.c:2009:1: note: expected between 1 and 3, found 4
> make[1]: *** [Makefile:401: fns.o] Error 1
>   CC       print.o